﻿body, html {
    height: 100%;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    background-color: #000000;
    overflow: hidden;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    gap: 10px; /* Space between the title and tagline */
}

h1 {
    font-size: 5em;
    background-image: repeating-linear-gradient(45deg, 
        #8338EC, #3A86FF, #FFC3A0, #FFADAD, #5A189A, 
        #8AC926, #FF9B85, #9DACFF, #6457A6, #5C2751, 
        #100B00, #F95738, #F4D35E, #A9CBB7, #EEA47F, 
        #073B4C, #118AB2, #06D6A0, #FFD166, #FF6B6B);
    background-size: 2000% 100%; 
    -webkit-background-clip: text;
    color: transparent;
    animation: rainbow 300s linear infinite;
    text-align: center;
    width: 100%;
}

.tagline {
    font-size: 2em;
    background-image: repeating-linear-gradient(45deg, 
        #FF6B6B, #FFD166, #06D6A0, #118AB2, #073B4C, 
        #EEA47F, #A9CBB7, #F4D35E, #F95738, #100B00, 
        #5C2751, #6457A6, #9DACFF, #FF9B85, #8AC926, 
        #5A189A, #FFADAD, #FFC3A0, #3A86FF, #8338EC);
    background-size: 2000% 100%; 
    -webkit-background-clip: text;
    color: transparent;
    animation: rainbow 300s linear infinite;
    text-align: center;
    width: 100%;
}

@keyframes rainbow {
    0% {
        background-position: 0% 0;
    }
    100% {
        background-position: -1900% 0;
    }
}